Get Source Config Comparison
curl --request GET \
--url https://api.streamkap.com/sources/{source_id}/config-history/compare-to-original \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamkap.com/sources/{source_id}/config-history/compare-to-original"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamkap.com/sources/{source_id}/config-history/compare-to-original', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_changes": false,
"oldest_timestamp": "2023-11-07T05:31:56Z",
"latest_timestamp": "2023-11-07T05:31:56Z",
"masked_diff": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sources
Get Source Config Comparison
Compare a source’s current config against its original recorded config (secret-masked diff).
GET
/
sources
/
{source_id}
/
config-history
/
compare-to-original
Get Source Config Comparison
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Comparison of the current connector config against the original recorded config.
Whether the current config differs from the original
Timestamp of the original recorded config
Timestamp of the latest recorded config
Unified diff (secret-masked) of original vs current config
Was this page helpful?
⌘I